[Freeciv-Dev] [bug #19846] Closing unit select dialog asserts or crashes

2013-05-03 Thread Marko Lindqvist
Update of bug #19846 (project freeciv): Status: Ready For Test = Fixed Assigned to:None = cazfi Open/Closed:Open = Closed

[Freeciv-Dev] [bug #19846] Closing unit select dialog asserts or crashes

2013-05-01 Thread Marko Lindqvist
Update of bug #19846 (project freeciv): Status:None = Ready For Test Planned Release:2.4.0, 2.5.0 = 2.4.0, 2.5.0, 2.6.0 ___ Follow-up Comment #12: Attached patch

[Freeciv-Dev] [bug #19846] Closing unit select dialog asserts or crashes

2013-04-27 Thread Jacob Nevins
Follow-up Comment #10, bug #19846 (project freeciv): Ubuntu Precise:3.4.2 FWIW, I run this and I get the assertion failures but haven't had the crash yet. (Precise is an LTS release, so like Debian Wheezy it will be with us for a while.) Comment #6 in January: Now works perfectly with my

[Freeciv-Dev] [bug #19846] Closing unit select dialog asserts or crashes

2013-04-27 Thread Marko Lindqvist
Follow-up Comment #11, bug #19846 (project freeciv): (I haven't tried to track down the actual commit and what releases it went into). commit 5e2c23214564f7dcc687fa8467020eeb6b9407a9 Author: John Lindgren john.lindg...@aol.com Date: Wed Mar 13 02:03:45 2013 +0100 treeview: Don't emit

[Freeciv-Dev] [bug #19846] Closing unit select dialog asserts or crashes

2013-04-23 Thread Marko Lindqvist
Follow-up Comment #8, bug #19846 (project freeciv): gtk+ bug is now RESOLVED FIXED. That leaves us to figure out how to live with buggy versions. What distributions are affected? I know all too well that Debian Wheezy (to be released 4/5 May weekend) is. Probably recent Ubuntu versions are too

[Freeciv-Dev] [bug #19846] Closing unit select dialog asserts or crashes

2013-04-23 Thread Emmet Hikory
Follow-up Comment #9, bug #19846 (project freeciv): Ubuntu and Debian historically diverge in libgtk update timing and history. Current revisions in releases: Debian Wheezy: 3.4.2 Debian Experimental: 3.8.0 Ubuntu Oneiric: 3.2.0 Ubuntu Precise:3.4.2 Ubuntu Quantal: 3.6.0 Ubuntu Raring: 3.6.4

[Freeciv-Dev] [bug #19846] Closing unit select dialog asserts or crashes

2013-04-21 Thread Marko Lindqvist
Update of bug #19846 (project freeciv): Summary: Closing unit select dialog asserts = Closing unit select dialog asserts or crashes ___ Reply to this item at: http://gna.org/bugs/?19846

[Freeciv-Dev] [bug #19846] Closing unit select dialog asserts

2013-02-07 Thread Marko Lindqvist
Follow-up Comment #7, bug #19846 (project freeciv): Gnome bug mentioned in comment #4 is still open, but the related gtk+ code has changed in 3.6, maybe unintentionally fixing this. Obvious solution for us would be to make gtk+-3.6 the minimum requirement. Problem with that solution is that it

[Freeciv-Dev] [bug #19846] Closing unit select dialog asserts

2013-01-20 Thread Marko Lindqvist
Follow-up Comment #6, bug #19846 (project freeciv): Now works perfectly with my crosser build that uses gtk+-3.6.4. Maybe this is fixed in gtk+ 3.6? ___ Reply to this item at: http://gna.org/bugs/?19846

[Freeciv-Dev] [bug #19846] Closing unit select dialog asserts

2012-12-10 Thread Marko Lindqvist
Update of bug #19846 (project freeciv): Severity: 3 - Normal = 5 - Blocker Planned Release: 2.4.0 = 2.4.0, 2.5.0 ___ Follow-up Comment #5: See also bug #20224

[Freeciv-Dev] [bug #19846] Closing unit select dialog asserts

2012-12-01 Thread Marko Lindqvist
Follow-up Comment #4, bug #19846 (project freeciv): patch #3469#comment24 points to https://bugzilla.gnome.org/show_bug.cgi?id=671939 ___ Reply to this item at: http://gna.org/bugs/?19846 ___

[Freeciv-Dev] [bug #19846] Closing unit select dialog asserts

2012-08-11 Thread RafałMużyło
Follow-up Comment #3, bug #19846 (project freeciv): Well, right now I've got the client nearly in pieces (mostly due to gridding - nearly done now, just restoring the spacing and minor tweaks left), but it seems my first comment was on the spot - due to the order of signals being undefined,

[Freeciv-Dev] [bug #19846] Closing unit select dialog asserts

2012-06-29 Thread anonymous
Follow-up Comment #1, bug #19846 (project freeciv): There's quite a bit more: - the original problem: AFAICT, it comes down to cursor-changed callback getting run *after* row-activated callback, so that usdlg_get(FALSE) returns NULL, as the dialog has already been destroyed - the second part:

[Freeciv-Dev] [bug #19846] Closing unit select dialog asserts

2012-06-29 Thread anonymous
Follow-up Comment #2, bug #19846 (project freeciv): OK, partially wrong call in the second case - I was testing a different thing than I though I was. It seems to only affect Select button. For whatever the reason, unit_focus_update() called after USDLG_CMD_SELECT makes it not work properly. On

[Freeciv-Dev] [bug #19846] Closing unit select dialog asserts

2012-06-24 Thread Marko Lindqvist
URL: http://gna.org/bugs/?19846 Summary: Closing unit select dialog asserts Project: Freeciv Submitted by: cazfi Submitted on: Sun 24 Jun 2012 11:43:57 AM EEST Category: client-gtk-3.0 Severity: 3 - Normal

[Freeciv-Dev] [bug #19846] Closing unit select dialog asserts

2012-06-24 Thread Jacob Nevins
Update of bug #19846 (project freeciv): Planned Release: = 2.4.0 ___ Reply to this item at: http://gna.org/bugs/?19846 ___ Message sent